using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Practices
{
    /// <summary>
    /// 练习结果
    /// </summary>
    [Description("练习结果")]
    public class PracticeResultDto:ActionRequest
    {
        /// <summary>
        /// 练习试题Id
        /// </summary>
        [Description("练习试题Id")]
        public string PracticeQuestionId { get; set; }

        /// <summary>
        /// 是否正确
        /// </summary>
        [Description("是否正确")]
        public bool IsCorrect { get; set; }

        /// <summary>
        /// 练习试题详情
        /// </summary>
        [Description("练习试题详情")]
        public List<PracticeResultItemDto> PracticeResultItemDtos { get; set; }
    }
}
